body {
    padding: 0;
    margin: 0;
    font-family: Livvic;
}

.header {
    width: 100%;
    background: url("../images/Lucky Portfolio.png") no-repeat;
    background-position: center;
    background-size: cover;
    padding: 3em 0;
    text-align: center;
    color: #fff;
    font-family: Lexend_deca;
    letter-spacing: 4px;
}
.header h1 {
    font-weight: bold;
    font-size: 3.4em;
}
input {
    padding: 0.7em 0;
    margin-top: 0.3em;
    margin-bottom: 1.3em;
    width: 97%;
}
textarea {
    width: 97%;
    min-height: 6.9em;
}
.text-input {
    background: #eee;
    border-radius: 5px;
    border: none;
    outline: none;
    text-indent: 0.6em;
}
.text-input:focus {
    background: #cdd;
}
input,
label {
    display: block;
}
label {
    margin-top: 1.3em;
}

.name {
    display: inline;
    width: 48%;
}

.form-field,
.alt-methods {
    margin: 1.4em 1.1em;
    padding: 1.2em 2.3em;
}

.alt-methods p {
    font-size: 0.8em;
}

.alt-methods i {
    font-size: 1.3em;
    transition: 0.3s;
}
/*------------ Icons hover states -----------------*/
.alt-methods i:hover {
    transform: scale(1.5);
}
.alt-methods i:active {
    transform: scale(0.8);
}
.blh:hover {
    color: #08c;
}
.lbh:hover {
    color: #0ff;
}
.ih:hover {
    color: purple;
}
.yh:hover {
    color: #fd2600;
}
.gh:hover {
    color: #042600;
}
.pch:hover {
    color: green;
}
.mh:hover {
    color: #022;
}
/*-----------------  closing ----------------------*/

.social {
    display: flex;
    justify-content: space-between;
    padding: 1.2em 0;
}
main {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    max-width: 1000px;
    margin: auto;
}
main h3 {
    margin-bottom: 1.5em;
}

@media only screen and (min-width: 800px) {
    main {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .alt-methods p {
        font-size: 0.9em;
    }
}

.modal {
    z-index: 1;
    left: 0;
    top: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: rgba(0, 0, 0, 0.55);
}

.modal-content {
    background: #f4f4f4;
    padding: 0;
    margin: 20% auto;
    width: 70%;
    box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.2), 0 7px 20px 0 rgba(0, 0, 0, 0.2);
}

.close-btn-container {
    padding: 0;
    text-align: right;
    overflow: hidden;
}
.closeBtn {
    background: #eee;
    font-size: 30px;
    padding: 4px 8px;
    cursor: pointer;
}
.closeBtn:hover {
    background: #f44;
    color: #fff;
    font-weight: bold;
}

.middle-wrap {
    padding: 25px 20px;
    background: #ccc;
    text-align: center;
}

#call-modal {
    display: none;
}

/*---------- Global ------------------*/
a {
    text-decoration: none;
}

footer {
    padding: 1.3em 0;
    background: #033535;
    text-align: center;
}

.btn {
    background: linear-gradient(20deg, #0fc 0%, #009688 100%);
    padding: 0.9em 2em;
    border: none;
    outline: none;
    color: #fff;
    border-radius: 4px;
    width: initial;
}
.btn:hover {
    transform: scale(1.05);
}
.btn:active {
    transform: scale(0.98);
}

p {
    line-height: 1.9;
    font-family: Arial;
}
